Summary:	The GNU patch command, for modifying/upgrading files
Name:		patch
Version:	2.6
Release:	1
License:	GPL
Group:		Text tools
URL:		http://www.gnu.org/directory/GNU/%{name}.html
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	make, bash

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.


%prep
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
/usr/linux/bin/*


%changelog
* Tue Nov 17 2009 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Sat May 24 2008 Michael Perzl <michael@perzl.org> - 2.5.9-1
- first version for AIX V5.1 and higher
